Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.auth.cluster.create_invite()
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.auth.cluster.createInvite({});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Auth.Cluster.CreateInviteAsync();
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/authentication/admin/cluster/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"suggestedOrgName": "<string>",
"expiresInDays": 45,
"modelIds": [
"<string>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
suggestedOrgName: '<string>',
expiresInDays: 45,
modelIds: ['<string>']
})
};
fetch('https://apigw.mka1.com/api/v1/authentication/admin/cluster/invitations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invitation": {
"id": "<string>",
"email": "<string>",
"suggestedOrgName": "<string>",
"expiresAt": "<string>",
"createdAt": "<string>",
"token": "<string>",
"seedAvailableModels": [
"<string>"
],
"claimedAt": "<string>",
"createdOrgId": "<string>",
"emailSent": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Cluster Admin
Create a cluster invitation
Issue a one-shot invite that provisions a new org on acceptance. Email-bound invites can be accepted headless (passwordless + issueApiKey).
POST
/
api
/
v1
/
authentication
/
admin
/
cluster
/
invitations
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.auth.cluster.create_invite()
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.auth.cluster.createInvite({});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Auth.Cluster.CreateInviteAsync();
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Body
application/json
Response
Invitation created
Show child attributes
Show child attributes
Was this page helpful?
⌘I